Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IReportItem

All Superinterfaces:
  IDesignElement, IReportElement

All Known Subinterfaces:
  IAutoText, IDataItem, IDynamicText, IExtendedItem, IGrid, IImage, ILabel, IList, IListing, IMultiRowItem, ITable, ITextItem

All Known Implementing Classes:
  MultiRowItem, SimpleRowItem

    public interface IReportItem

extends IReportElement

Represents a the design of a report item in the scripting environment

Field Summary
`static ScriptConstants` | `constants`

Method Summary
`void` | `addDataBinding(IDataBinding binding)` Add ComputedColumn.name , expression of IDataBinding are required.
`void` | `addHideRule(IHideRule rule)` Add HideRule
`void` | `addHighlightRule(IHighlightRule rule)` Adds high light rule.
`java.lang.String` | `getBookmark()` Returns the bookmark of the report item.
`java.lang.String` | `getDataBinding(java.lang.String bindingName)` Returns column binding.
`IDataBinding[]` | `getDataBindings()` Returns array of all column bindings
`java.lang.String` | `getHeight()` Gets the item's height.
`IHideRule[]` | `getHideRules()` Returns array of hide rule expression
`IHighlightRule[]` | `getHighlightRules()` Gets all high light rules.
`java.lang.String` | `getTocExpression()` Returns the expression evalueated as a table of contents entry for this item.
`java.lang.String` | `getWidth()` Gets a the item's width.
`java.lang.String` | `getX()` Gets the item's x (horizontal) position.
`java.lang.String` | `getY()` Gets the item's y (vertical) position.
`void` | `removeDataBinding(java.lang.String bindingName)` Removes special column binding
`void` | `removeDataBindings()` Removes all column bindings
`void` | `removeHideRule(IHideRule rule)` Removes all hide rules that matches formatType.
`void` | `removeHideRules()` Removes all hide rules
`void` | `removeHighlightRule(IHighlightRule rule)` Removes high light rule.
`void` | `removeHighlightRules()` Removes all high light rules.
`void` | `setBookmark(java.lang.String value)` Sets the bookmark of the report item.
`void` | `setCurrentView(IDesignElement viewElement)` Sets the view to be used.
`void` | `setHeight(double dimension)` Sets the item's height to a value in default units.
`void` | `setHeight(java.lang.String dimension)` Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setTocExpression(java.lang.String expression)` Sets a table of contents entry for this item.
`void` | `setWidth(double dimension)` Sets the item's width to a value in default units.
`void` | `setWidth(java.lang.String dimension)` Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setX(double dimension)` Sets the item's x position to a value in default units.
`void` | `setX(java.lang.String dimension)` Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setY(double dimension)` Sets the item's y position to a value in default units.
`void` | `setY(java.lang.String dimension)` Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt".

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Field Detail

### constants

    static final ScriptConstants constants

Method Detail

### getX

    java.lang.String getX()

  Gets the item's x (horizontal) position.

  Returns:
    The item's x position.

### getY

    java.lang.String getY()

  Gets the item's y (vertical) position.

  Returns:
    The item's y position.

### setX

    void setX(java.lang.String dimension)
              throws SemanticException

  Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setX

    void setX(double dimension)
              throws SemanticException

  Sets the item's x position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setY

    void setY(java.lang.String dimension)
              throws SemanticException

  Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setY

    void setY(double dimension)
              throws SemanticException

  Sets the item's y position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setHeight

    void setHeight(java.lang.String dimension)
                   throws SemanticException

  Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setHeight

    void setHeight(double dimension)
                   throws SemanticException

  Sets the item's height to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setWidth

    void setWidth(java.lang.String dimension)
                  throws SemanticException

  Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setWidth

    void setWidth(double dimension)
                  throws SemanticException

  Sets the item's width to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### getWidth

    java.lang.String getWidth()

  Gets a the item's width.

  Returns:
    a the item's width.

### getHeight

    java.lang.String getHeight()

  Gets the item's height.

  Returns:
    the item's height.

### getBookmark

    java.lang.String getBookmark()

  Returns the bookmark of the report item. The bookmark value is evaluated as an expression.

  Returns:
    the book mark as a string

### setBookmark

    void setBookmark(java.lang.String value)
                     throws SemanticException

  Sets the bookmark of the report item. The bookmark value is evaluated as an expression. If you want the bookmark to be the string "bookmark", you need to use setBookmark("\"bookmark\""); If bookmark is a JavaScript variable, use setBookmark("bookmark");

  Parameters:
    `value` - the bookmark expression
  Throws:
    `SemanticException` - if the property is locked.

### setTocExpression

    void setTocExpression(java.lang.String expression)
                          throws SemanticException

  Sets a table of contents entry for this item. The TOC property defines an expression that returns a string that is to appear in the Table of Contents for this item or its container.

  Parameters:
    `expression` - the expression that returns a string
  Throws:
    `SemanticException` - if the TOC property is locked by the property mask.
  See Also:
    `getTocExpression()`

### getTocExpression

    java.lang.String getTocExpression()

  Returns the expression evalueated as a table of contents entry for this item.

  Returns:
    the expression evaluated as a table of contents entry for this item
  See Also:
    `setTocExpression(String)`

### getDataBindings

    IDataBinding[] getDataBindings()

  Returns array of all column bindings

  Returns:
    all column bindings

### getDataBinding

    java.lang.String getDataBinding(java.lang.String bindingName)

  Returns column binding.

  Parameters:
    `bindingName` -
  Returns:
    column binding expression.

### removeDataBinding

    void removeDataBinding(java.lang.String bindingName)
                           throws SemanticException

  Removes special column binding

  Parameters:
    `bindingName` -
  Throws:
    `SemanticException`

### removeDataBindings

    void removeDataBindings()
                            throws SemanticException

  Removes all column bindings

  Throws:
    `SemanticException`

### addDataBinding

    void addDataBinding(IDataBinding binding)
                        throws SemanticException

  Add ComputedColumn.name , expression of IDataBinding are required.

  Parameters:
    `binding` -
  Throws:
    `SemanticException`

### getHighlightRules

    IHighlightRule[] getHighlightRules()

  Gets all high light rules.

  Returns:
    all high light rules

### addHighlightRule

    void addHighlightRule(IHighlightRule rule)
                          throws SemanticException

  Adds high light rule.

  Parameters:
    `rule` -
  Throws:
    `SemanticException`

### removeHighlightRules

    void removeHighlightRules()
                              throws SemanticException

  Removes all high light rules.

  Throws:
    `SemanticException`

### removeHighlightRule

    void removeHighlightRule(IHighlightRule rule)
                             throws SemanticException

  Removes high light rule.

  Parameters:
    `rule` -
  Throws:
    `SemanticException`

### removeHideRule

    void removeHideRule(IHideRule rule)
                        throws SemanticException

  Removes all hide rules that matches formatType.

  Parameters:
    `rule` -
  Throws:
    `SemanticException`

### removeHideRules

    void removeHideRules()
                         throws SemanticException

  Removes all hide rules

  Throws:
    `SemanticException`

### getHideRules

    IHideRule[] getHideRules()

  Returns array of hide rule expression

  Returns:
    array of hide rule expression

### addHideRule

    void addHideRule(IHideRule rule)
                     throws SemanticException

  Add HideRule

  Parameters:
    `rule` -
  Throws:
    `SemanticException`

### setCurrentView

    void setCurrentView(IDesignElement viewElement)
                        throws SemanticException

  Sets the view to be used. If the given element is not in the multiple view, it will be added and set as the active view.

  Parameters:
    `viewElement` - the view element, must not be `this`. Can be `null`.
  Throws:
    `SemanticException` - if the given element resides in the other elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.